Bug 256726

Summary: graphics/libglvnd: conflicts with mesa-libs-20.2.3 (installs files into the same place)
Product: Ports & Packages Reporter: Igor Pavlov <igor.arabesc.pavlov>
Component: Individual Port(s)Assignee: freebsd-x11 (Nobody) <x11>
Status: Closed Not A Bug    
Severity: Affects Only Me CC: igor.arabesc.pavlov
Priority: --- Flags: bugzilla: maintainer-feedback? (x11)
Version: Latest   
Hardware: amd64   
OS: Any   
URL: https://www.freshports.org/graphics/mesa-libs/

Description Igor Pavlov 2021-06-20 07:23:34 UTC
Installing libglvnd-1.3.2...
pkg-static: libglvnd-1.3.2 conflicts with mesa-libs-20.2.3 (installs files into the same place).  Problematic file: /usr/local/include/EGL/egl.h
*** Error code 1

X11=off for libglvnd
Comment 1 Igor Pavlov 2021-06-20 07:38:06 UTC
2021-06-17

Affects: users of graphics/mesa-libs

Author: kbowling@FreeBSD.org

Reason: 
  Some libraries from mesa-libs are now provided by libglvnd while
  others were renamed. When building outside poudriere make sure to
  remove mesa-libs first in order to avoid conflict with libglvnd.

  For portmaster users:
  # pkg delete -f mesa-libs
  # portmaster -a

  For portupgrade users:
  # pkg delete -f mesa-libs
  # portupgrade -a